## Index

### Variables

- FastBase64Chars
- FastBase64EncLookup

### Functions

- FastBase64_Encode
- FastBase64_Init
- MakeRiff
- u16ToArray
- u32ToArray

## Variables

### Const FastBase64Chars

FastBase64Chars: "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=" = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/="

- Defined in sound/riffwave.ts:24

### Const FastBase64EncLookup

FastBase64EncLookup: string[] = []

- Defined in sound/riffwave.ts:25

## Functions

### FastBase64_Encode

- FastBase64_Encode(src: number[]): string

- - Defined in sound/riffwave.ts:33

  #### Parameters

  - ##### src: number[]

  #### Returns string

### FastBase64_Init

- FastBase64_Init(): void

- - Defined in sound/riffwave.ts:27

  #### Returns void

### MakeRiff

- MakeRiff(sampleRate: number, bitsPerSample: number, data: number[]): object

- - Defined in sound/riffwave.ts:71

  #### Parameters

  - ##### sampleRate: number

  - ##### bitsPerSample: number

  - ##### data: number[]

  #### Returns object

  - ##### dat: never[]

  - ##### dataURI: string

  - ##### header: object

    - ##### audioFormat: number

    - ##### bitsPerSample: number

    - ##### blockAlign: number

    - ##### byteRate: number

    - ##### chunkId: number[]

    - ##### chunkSize: number

    - ##### format: number[]

    - ##### numChannels: number

    - ##### sampleRate: number

    - ##### subChunk1Id: number[]

    - ##### subChunk1Size: number

    - ##### subChunk2Id: number[]

    - ##### subChunk2Size: number

  - ##### wav: number[]

### u16ToArray

- u16ToArray(i: number): number[]

- - Defined in sound/riffwave.ts:67

  #### Parameters

  - ##### i: number

  #### Returns number[]

### u32ToArray

- u32ToArray(i: number): number[]

- - Defined in sound/riffwave.ts:63

  #### Parameters

  - ##### i: number

  #### Returns number[]

Generated using TypeDoc